List Recipient Lists
Audiences/Recipient lists / Recipient lists
List Recipient Lists
Description
Find all recipient list matched by filter from the data source. If withChannels query params is set to 'true' then it will add data to each recipient:
-hasPhone: Whether the recipients list has at least one phone set for its recipients.
-hasEmail: Whether the recipients list has at least one email set for its recipients.
-recipientsCount: Number of recipients in the list.
Response
[
{
"name": "recipient list name",
"createdAt": "2020-09-24T16:51:28.936Z",
"updatedAt": "2020-09-24T16:51:28.936Z",
"id": "recipient list id",
"audienceId": "audience id",
"fileKey": "file.xlsx.csv",
"recipientsCount": 5,
"companyId": "company id",
"isDeleted": true,
"hasPhone": true,
"hasEmail": true,
}
]
where:
name: Name of the recipient list.createdAt: Creation date of the recipient list.updateAt: Last date of update of the recipient list.id: Recipient list id.audienceId: Audience id of the audience the recipient list belongs to. Optional.fileKey: Name of the file stored on S3 bucket. It’s the file used to create the recipient list. Optional.recipientsCount: Number of recipients inside the list.companyId: Company owner of the recipient list.isDeleted: Whether the recipient list is soft deleted or not. Optional.hasPhone: Whether or not the recipient list has at least one recipient with phone. Only shows when query paramwithChannelsis set to'true'. Optional.hasEmail: Whether or not the recipient list has at least one recipient with email. Only shows when query paramwithChannelsis set to'true'. Optional.
GET
List Recipient Lists
Description
Find all recipient list matched by filter from the data source. If withChannels query params is set to'true' then it will add data to each recipient:
-hasPhone: Whether the recipients list has at least one phone set for its recipients.-
hasEmail: Whether the recipients list has at least one email set for its recipients.-
recipientsCount: Number of recipients in the list.
Response
name: Name of the recipient list.createdAt: Creation date of the recipient list.updateAt: Last date of update of the recipient list.id: Recipient list id.audienceId: Audience id of the audience the recipient list belongs to. Optional.fileKey: Name of the file stored on S3 bucket. It’s the file used to create the recipient list. Optional.recipientsCount: Number of recipients inside the list.companyId: Company owner of the recipient list.isDeleted: Whether the recipient list is soft deleted or not. Optional.hasPhone: Whether or not the recipient list has at least one recipient with phone. Only shows when query paramwithChannelsis set to'true'. Optional.hasEmail: Whether or not the recipient list has at least one recipient with email. Only shows when query paramwithChannelsis set to'true'. Optional.